%global pypi_name cheroot

%bcond_with docs

Name:           python-%{pypi_name}
Version:        10.0.1
Release:        %mkrel 3
Summary:        Highly-optimized, pure-python HTTP server
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/cheroot/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%package -n     python3-%{pypi_name}
Summary:        Highly-optimized, pure-python HTTP server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# remove backports.functools_lru_cache from setup.cfg. it's a py2 dep
sed -i '/backports.functools_lru_cache/d' setup.cfg

# testmon is not needed to tests to run successfully
# the f31 version of testmon requires pytest < 4
# which is not in f31
sed -i 's/ --testmon//' pytest.ini
sed -i 's/ -n auto//' pytest.ini
sed -i '/pytest-testmon/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# Build documentation
PYTHONPATH=${PWD} sphinx-build -vvv docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md
%doc README.rst
%{_bindir}/cheroot
%if %{with docs}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 10.0.1-3.mga10
+ Revision: 2240856
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 10.0.1-2.mga10
+ Revision: 2158094
- rebuild for python3.13

* Thu Jun 27 2024 papoteur <papoteur> 10.0.1-1.mga10
+ Revision: 2077252
- new version 10.0.1

* Sat Dec 09 2023 wally <wally> 10.0.0-2.mga10
+ Revision: 2016657
- use %%pyproject_buildrequires
- build without docs for now
- rebuild for py3.12

* Sat Sep 09 2023 papoteur <papoteur> 10.0.0-1.mga10
+ Revision: 1985457
- new 10.0.0

* Mon Jun 20 2022 papoteur <papoteur> 8.6.0-4.mga9
+ Revision: 1865264
- Bump the release
- use pyproject for building
- fix building documentation without Internet

* Fri Apr 01 2022 umeabot <umeabot> 8.6.0-3.mga9
+ Revision: 1838267
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 8.6.0-2.mga9
+ Revision: 1785600
- rebuild for python-3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 8.6.0-1.mga9
+ Revision: 1771111
- verison 8.6.0
- BR python3.9dist(furo)

* Tue Apr 20 2021 daviddavid <daviddavid> 8.5.2-2.mga9
+ Revision: 1717388
- rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 8.5.2-1.mga9
+ Revision: 1697494
- new version 8.5.2

* Sat Nov 14 2020 guillomovitch <guillomovitch> 8.4.5-1.mga8
+ Revision: 1645048
- imported package python-cheroot

